### Signal

# Vips TargetCustom::write

#### Declaration

    gint64
    write (
      VipsTargetCustom* self,
      gpointer data,
      gint64 length,
      gpointer user_data
    )

#### Description [src]

This signal is emitted to write bytes to the target.

Default handler:
Signal can be directly emitted on objects from user code

#### Parameters

`data`

  Type: `gpointer`

  `gpointer`, bytes to write.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`length`

  Type: `gint64`

  `gint64`, number of bytes.

#### Return value

Type: `gint64`

The number of bytes written.